summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJustin Clift <jclift@redhat.com>2013-03-22 18:44:06 +0000
committerAnand Avati <avati@redhat.com>2013-03-22 13:32:20 -0700
commit259ff34b33ac2c5aa2e541b1019f93da47f7428a (patch)
treebf70205f6fdcbaadcff739220e3f40ccda2ba391
parentbf3db1f609a9eb6de4dead98f6cc6e9beedf1975 (diff)
Added autogen.sh check for presence of tar
Change-Id: I95313699edcf7bc2696505fcb475a4a67c1800cf BUG: 924891 Signed-off-by: Justin Clift <jclift@redhat.com> Reviewed-on: http://review.gluster.org/4716 Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com> Tested-by: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
-rwxr-xr-xautogen.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index d0010268332..dca5308f2fa 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -60,6 +60,12 @@ if [ $? -ne 0 ]; then
MISSING="$MISSING pkg-config"
fi
+# Check for tar
+env tar --version > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+ MISSING="$MISSING tar"
+fi
+
## If dependencies are missing, warn the user and abort
if [ "x$MISSING" != "x" ]; then
echo "Aborting."